Package org.eclipse.m2m.atl.dsls.tcs.injector

## Class ACG_ANTLR3Lexer

- java.lang.Object
- - org.antlr.runtime.BaseRecognizer
  - - org.antlr.runtime.Lexer
    - - org.eclipse.m2m.atl.dsls.tcs.injector.ACG_ANTLR3Lexer

All Implemented Interfaces:
  `org.antlr.runtime.TokenSource`

    public class ACG_ANTLR3Lexer
    extends org.antlr.runtime.Lexer

### Field Summary

Fields
`static int` `ALPHA`
`static int` `COLON`
`static int` `COLONCOLON`
`static int` `COMA`
`static int` `COMMENT`
`protected org.eclipse.m2m.atl.dsls.tcs.injector.ACG_ANTLR3Lexer.DFA16` `dfa16`
`static int` `DIGIT`
`TCSRuntime` `ei`
`static int` `EOF`
`static int` `EQ`
`static int` `ESC`
`static int` `EXCL`
`static int` `FLOAT`
`static int` `GE`
`static int` `GT`
`static int` `INT`
`static int` `LARROW`
`static int` `LCURLY`
`static int` `LE`
`static int` `LPAREN`
`static int` `LSQUARE`
`static int` `LT`
`static int` `MINUS`
`static int` `NAME`
`static int` `NE`
`static int` `NL`
`static int` `PIPE`
`static int` `PLUS`
`static int` `POINT`
`static int` `QMARK`
`static int` `RARROW`
`static int` `RCURLY`
`static int` `RPAREN`
`static int` `RSQUARE`
`static int` `SEMI`
`static int` `SHARP`
`static int` `SLASH`
`static int` `SNAME`
`static int` `STAR`
`static int` `STRING`
`static int` `T__100`
`static int` `T__101`
`static int` `T__102`
`static int` `T__103`
`static int` `T__104`
`static int` `T__105`
`static int` `T__42`
`static int` `T__43`
`static int` `T__44`
`static int` `T__45`
`static int` `T__46`
`static int` `T__47`
`static int` `T__48`
`static int` `T__49`
`static int` `T__50`
`static int` `T__51`
`static int` `T__52`
`static int` `T__53`
`static int` `T__54`
`static int` `T__55`
`static int` `T__56`
`static int` `T__57`
`static int` `T__58`
`static int` `T__59`
`static int` `T__60`
`static int` `T__61`
`static int` `T__62`
`static int` `T__63`
`static int` `T__64`
`static int` `T__65`
`static int` `T__66`
`static int` `T__67`
`static int` `T__68`
`static int` `T__69`
`static int` `T__70`
`static int` `T__71`
`static int` `T__72`
`static int` `T__73`
`static int` `T__74`
`static int` `T__75`
`static int` `T__76`
`static int` `T__77`
`static int` `T__78`
`static int` `T__79`
`static int` `T__80`
`static int` `T__81`
`static int` `T__82`
`static int` `T__83`
`static int` `T__84`
`static int` `T__85`
`static int` `T__86`
`static int` `T__87`
`static int` `T__88`
`static int` `T__89`
`static int` `T__90`
`static int` `T__91`
`static int` `T__92`
`static int` `T__93`
`static int` `T__94`
`static int` `T__95`
`static int` `T__96`
`static int` `T__97`
`static int` `T__98`
`static int` `T__99`
`static int` `WS`

### Fields inherited from class org.antlr.runtime.Lexer

`input`

### Fields inherited from class org.antlr.runtime.BaseRecognizer

`DEFAULT_TOKEN_CHANNEL, HIDDEN, INITIAL_FOLLOW_STACK_SIZE, MEMO_RULE_FAILED, MEMO_RULE_UNKNOWN, NEXT_TOKEN_RULE_NAME, state`

### Constructor Summary

Constructors
`ACG_ANTLR3Lexer()`
`ACG_ANTLR3Lexer​(org.antlr.runtime.CharStream input)`
`ACG_ANTLR3Lexer​(org.antlr.runtime.CharStream input, org.antlr.runtime.RecognizerSharedState state)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `displayRecognitionError​(java.lang.String[] tokenNames, org.antlr.runtime.RecognitionException e)`
`org.antlr.runtime.Token` `emit()`
`java.lang.String` `getGrammarFileName()`
`void` `mALPHA()`
`void` `mCOLON()`
`void` `mCOLONCOLON()`
`void` `mCOMA()`
`void` `mCOMMENT()`
`void` `mDIGIT()`
`void` `mEQ()`
`void` `mESC()`
`void` `mEXCL()`
`void` `mFLOAT()`
`void` `mGE()`
`void` `mGT()`
`void` `mINT()`
`void` `mLARROW()`
`void` `mLCURLY()`
`void` `mLE()`
`void` `mLPAREN()`
`void` `mLSQUARE()`
`void` `mLT()`
`void` `mMINUS()`
`void` `mNAME()`
`void` `mNE()`
`void` `mNL()`
`void` `mPIPE()`
`void` `mPLUS()`
`void` `mPOINT()`
`void` `mQMARK()`
`void` `mRARROW()`
`void` `mRCURLY()`
`void` `mRPAREN()`
`void` `mRSQUARE()`
`void` `mSEMI()`
`void` `mSHARP()`
`void` `mSLASH()`
`void` `mSNAME()`
`void` `mSTAR()`
`void` `mSTRING()`
`void` `mT__100()`
`void` `mT__101()`
`void` `mT__102()`
`void` `mT__103()`
`void` `mT__104()`
`void` `mT__105()`
`void` `mT__42()`
`void` `mT__43()`
`void` `mT__44()`
`void` `mT__45()`
`void` `mT__46()`
`void` `mT__47()`
`void` `mT__48()`
`void` `mT__49()`
`void` `mT__50()`
`void` `mT__51()`
`void` `mT__52()`
`void` `mT__53()`
`void` `mT__54()`
`void` `mT__55()`
`void` `mT__56()`
`void` `mT__57()`
`void` `mT__58()`
`void` `mT__59()`
`void` `mT__60()`
`void` `mT__61()`
`void` `mT__62()`
`void` `mT__63()`
`void` `mT__64()`
`void` `mT__65()`
`void` `mT__66()`
`void` `mT__67()`
`void` `mT__68()`
`void` `mT__69()`
`void` `mT__70()`
`void` `mT__71()`
`void` `mT__72()`
`void` `mT__73()`
`void` `mT__74()`
`void` `mT__75()`
`void` `mT__76()`
`void` `mT__77()`
`void` `mT__78()`
`void` `mT__79()`
`void` `mT__80()`
`void` `mT__81()`
`void` `mT__82()`
`void` `mT__83()`
`void` `mT__84()`
`void` `mT__85()`
`void` `mT__86()`
`void` `mT__87()`
`void` `mT__88()`
`void` `mT__89()`
`void` `mT__90()`
`void` `mT__91()`
`void` `mT__92()`
`void` `mT__93()`
`void` `mT__94()`
`void` `mT__95()`
`void` `mT__96()`
`void` `mT__97()`
`void` `mT__98()`
`void` `mT__99()`
`void` `mTokens()`
`void` `mWS()`

### Methods inherited from class org.antlr.runtime.Lexer

`emit, getCharErrorDisplay, getCharIndex, getCharPositionInLine, getCharStream, getErrorMessage, getLine, getSourceName, getText, match, match, matchAny, matchRange, nextToken, recover, reportError, reset, setCharStream, setText, skip, traceIn, traceOut`

### Methods inherited from class org.antlr.runtime.BaseRecognizer

`alreadyParsedRule, beginResync, combineFollows, computeContextSensitiveRuleFOLLOW, computeErrorRecoverySet, consumeUntil, consumeUntil, emitErrorMessage, endResync, failed, getBacktrackingLevel, getCurrentInputSymbol, getErrorHeader, getMissingSymbol, getNumberOfSyntaxErrors, getRuleInvocationStack, getRuleInvocationStack, getRuleMemoization, getRuleMemoizationCacheSize, getTokenErrorDisplay, getTokenNames, match, matchAny, memoize, mismatchIsMissingToken, mismatchIsUnwantedToken, pushFollow, recover, recoverFromMismatchedSet, recoverFromMismatchedToken, setBacktrackingLevel, toStrings, traceIn, traceOut`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### T__50

    public static final int T__50

See Also:
  Constant Field Values

#### QMARK

    public static final int QMARK

See Also:
  Constant Field Values

#### MINUS

    public static final int MINUS

See Also:
  Constant Field Values

#### RSQUARE

    public static final int RSQUARE

See Also:
  Constant Field Values

#### T__59

    public static final int T__59

See Also:
  Constant Field Values

#### T__55

    public static final int T__55

See Also:
  Constant Field Values

#### T__56

    public static final int T__56

See Also:
  Constant Field Values

#### T__57

    public static final int T__57

See Also:
  Constant Field Values

#### T__58

    public static final int T__58

See Also:
  Constant Field Values

#### T__51

    public static final int T__51

See Also:
  Constant Field Values

#### T__52

    public static final int T__52

See Also:
  Constant Field Values

#### T__53

    public static final int T__53

See Also:
  Constant Field Values

#### T__54

    public static final int T__54

See Also:
  Constant Field Values

#### COMA

    public static final int COMA

See Also:
  Constant Field Values

#### T__60

    public static final int T__60

See Also:
  Constant Field Values

#### T__61

    public static final int T__61

See Also:
  Constant Field Values

#### LPAREN

    public static final int LPAREN

See Also:
  Constant Field Values

#### T__66

    public static final int T__66

See Also:
  Constant Field Values

#### T__67

    public static final int T__67

See Also:
  Constant Field Values

#### T__68

    public static final int T__68

See Also:
  Constant Field Values

#### T__69

    public static final int T__69

See Also:
  Constant Field Values

#### T__62

    public static final int T__62

See Also:
  Constant Field Values

#### T__63

    public static final int T__63

See Also:
  Constant Field Values

#### T__64

    public static final int T__64

See Also:
  Constant Field Values

#### T__65

    public static final int T__65

See Also:
  Constant Field Values

#### SEMI

    public static final int SEMI

See Also:
  Constant Field Values

#### COLONCOLON

    public static final int COLONCOLON

See Also:
  Constant Field Values

#### COMMENT

    public static final int COMMENT

See Also:
  Constant Field Values

#### ESC

    public static final int ESC

See Also:
  Constant Field Values

#### RCURLY

    public static final int RCURLY

See Also:
  Constant Field Values

#### LCURLY

    public static final int LCURLY

See Also:
  Constant Field Values

#### RARROW

    public static final int RARROW

See Also:
  Constant Field Values

#### T__48

    public static final int T__48

See Also:
  Constant Field Values

#### STAR

    public static final int STAR

See Also:
  Constant Field Values

#### T__49

    public static final int T__49

See Also:
  Constant Field Values

#### LARROW

    public static final int LARROW

See Also:
  Constant Field Values

#### T__44

    public static final int T__44

See Also:
  Constant Field Values

#### T__45

    public static final int T__45

See Also:
  Constant Field Values

#### STRING

    public static final int STRING

See Also:
  Constant Field Values

#### LE

    public static final int LE

See Also:
  Constant Field Values

#### SHARP

    public static final int SHARP

See Also:
  Constant Field Values

#### T__46

    public static final int T__46

See Also:
  Constant Field Values

#### T__47

    public static final int T__47

See Also:
  Constant Field Values

#### EXCL

    public static final int EXCL

See Also:
  Constant Field Values

#### T__42

    public static final int T__42

See Also:
  Constant Field Values

#### T__43

    public static final int T__43

See Also:
  Constant Field Values

#### T__91

    public static final int T__91

See Also:
  Constant Field Values

#### T__100

    public static final int T__100

See Also:
  Constant Field Values

#### T__92

    public static final int T__92

See Also:
  Constant Field Values

#### T__93

    public static final int T__93

See Also:
  Constant Field Values

#### T__102

    public static final int T__102

See Also:
  Constant Field Values

#### T__94

    public static final int T__94

See Also:
  Constant Field Values

#### T__101

    public static final int T__101

See Also:
  Constant Field Values

#### T__90

    public static final int T__90

See Also:
  Constant Field Values

#### LT

    public static final int LT

See Also:
  Constant Field Values

#### ALPHA

    public static final int ALPHA

See Also:
  Constant Field Values

#### PIPE

    public static final int PIPE

See Also:
  Constant Field Values

#### T__99

    public static final int T__99

See Also:
  Constant Field Values

#### T__95

    public static final int T__95

See Also:
  Constant Field Values

#### T__96

    public static final int T__96

See Also:
  Constant Field Values

#### T__97

    public static final int T__97

See Also:
  Constant Field Values

#### T__98

    public static final int T__98

See Also:
  Constant Field Values

#### RPAREN

    public static final int RPAREN

See Also:
  Constant Field Values

#### EQ

    public static final int EQ

See Also:
  Constant Field Values

#### NAME

    public static final int NAME

See Also:
  Constant Field Values

#### NE

    public static final int NE

See Also:
  Constant Field Values

#### NL

    public static final int NL

See Also:
  Constant Field Values

#### PLUS

    public static final int PLUS

See Also:
  Constant Field Values

#### T__70

    public static final int T__70

See Also:
  Constant Field Values

#### T__71

    public static final int T__71

See Also:
  Constant Field Values

#### FLOAT

    public static final int FLOAT

See Also:
  Constant Field Values

#### T__72

    public static final int T__72

See Also:
  Constant Field Values

#### INT

    public static final int INT

See Also:
  Constant Field Values

#### T__77

    public static final int T__77

See Also:
  Constant Field Values

#### T__78

    public static final int T__78

See Also:
  Constant Field Values

#### T__79

    public static final int T__79

See Also:
  Constant Field Values

#### T__73

    public static final int T__73

See Also:
  Constant Field Values

#### WS

    public static final int WS

See Also:
  Constant Field Values

#### EOF

    public static final int EOF

See Also:
  Constant Field Values

#### T__74

    public static final int T__74

See Also:
  Constant Field Values

#### T__75

    public static final int T__75

See Also:
  Constant Field Values

#### GE

    public static final int GE

See Also:
  Constant Field Values

#### T__76

    public static final int T__76

See Also:
  Constant Field Values

#### T__80

    public static final int T__80

See Also:
  Constant Field Values

#### T__81

    public static final int T__81

See Also:
  Constant Field Values

#### T__82

    public static final int T__82

See Also:
  Constant Field Values

#### T__83

    public static final int T__83

See Also:
  Constant Field Values

#### SLASH

    public static final int SLASH

See Also:
  Constant Field Values

#### SNAME

    public static final int SNAME

See Also:
  Constant Field Values

#### COLON

    public static final int COLON

See Also:
  Constant Field Values

#### GT

    public static final int GT

See Also:
  Constant Field Values

#### DIGIT

    public static final int DIGIT

See Also:
  Constant Field Values

#### LSQUARE

    public static final int LSQUARE

See Also:
  Constant Field Values

#### T__88

    public static final int T__88

See Also:
  Constant Field Values

#### T__89

    public static final int T__89

See Also:
  Constant Field Values

#### T__84

    public static final int T__84

See Also:
  Constant Field Values

#### T__104

    public static final int T__104

See Also:
  Constant Field Values

#### POINT

    public static final int POINT

See Also:
  Constant Field Values

#### T__85

    public static final int T__85

See Also:
  Constant Field Values

#### T__103

    public static final int T__103

See Also:
  Constant Field Values

#### T__86

    public static final int T__86

See Also:
  Constant Field Values

#### T__87

    public static final int T__87

See Also:
  Constant Field Values

#### T__105

    public static final int T__105

See Also:
  Constant Field Values

#### ei

    public TCSRuntime ei

#### dfa16

    protected org.eclipse.m2m.atl.dsls.tcs.injector.ACG_ANTLR3Lexer.DFA16 dfa16

### Constructor Detail

#### ACG_ANTLR3Lexer

    public ACG_ANTLR3Lexer()

#### ACG_ANTLR3Lexer

    public ACG_ANTLR3Lexer​(org.antlr.runtime.CharStream input)

#### ACG_ANTLR3Lexer

    public ACG_ANTLR3Lexer​(org.antlr.runtime.CharStream input,
                           org.antlr.runtime.RecognizerSharedState state)

### Method Detail

#### displayRecognitionError

    public void displayRecognitionError​(java.lang.String[] tokenNames,
                                        org.antlr.runtime.RecognitionException e)

Overrides:
  `displayRecognitionError` in class `org.antlr.runtime.BaseRecognizer`

#### emit

    public org.antlr.runtime.Token emit()

Overrides:
  `emit` in class `org.antlr.runtime.Lexer`

#### getGrammarFileName

    public java.lang.String getGrammarFileName()

Overrides:
  `getGrammarFileName` in class `org.antlr.runtime.BaseRecognizer`

#### mT__42

    public final void mT__42()
                      throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

#### mT__43

    public final void mT__43()
                      throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

#### mT__44

    public final void mT__44()
                      throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

#### mT__45

    public final void mT__45()
                      throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

#### mT__46

    public final void mT__46()
                      throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

#### mT__47

    public final void mT__47()
                      throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

#### mT__48

    public final void mT__48()
                      throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

#### mT__49

    public final void mT__49()
                      throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

#### mT__50

    public final void mT__50()
                      throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

#### mT__51

    public final void mT__51()
                      throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

#### mT__52

    public final void mT__52()
                      throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

#### mT__53

    public final void mT__53()
                      throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

#### mT__54

    public final void mT__54()
                      throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

#### mT__55

    public final void mT__55()
                      throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

#### mT__56

    public final void mT__56()
                      throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

#### mT__57

    public final void mT__57()
                      throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

#### mT__58

    public final void mT__58()
                      throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

#### mT__59

    public final void mT__59()
                      throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

#### mT__60

    public final void mT__60()
                      throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

#### mT__61

    public final void mT__61()
                      throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

#### mT__62

    public final void mT__62()
                      throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

#### mT__63

    public final void mT__63()
                      throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

#### mT__64

    public final void mT__64()
                      throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

#### mT__65

    public final void mT__65()
                      throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

#### mT__66

    public final void mT__66()
                      throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

#### mT__67

    public final void mT__67()
                      throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

#### mT__68

    public final void mT__68()
                      throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

#### mT__69

    public final void mT__69()
                      throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

#### mT__70

    public final void mT__70()
                      throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

#### mT__71

    public final void mT__71()
                      throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

#### mT__72

    public final void mT__72()
                      throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

#### mT__73

    public final void mT__73()
                      throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

#### mT__74

    public final void mT__74()
                      throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

#### mT__75

    public final void mT__75()
                      throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

#### mT__76

    public final void mT__76()
                      throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

#### mT__77

    public final void mT__77()
                      throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

#### mT__78

    public final void mT__78()
                      throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

#### mT__79

    public final void mT__79()
                      throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

#### mT__80

    public final void mT__80()
                      throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

#### mT__81

    public final void mT__81()
                      throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

#### mT__82

    public final void mT__82()
                      throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

#### mT__83

    public final void mT__83()
                      throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

#### mT__84

    public final void mT__84()
                      throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

#### mT__85

    public final void mT__85()
                      throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

#### mT__86

    public final void mT__86()
                      throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

#### mT__87

    public final void mT__87()
                      throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

#### mT__88

    public final void mT__88()
                      throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

#### mT__89

    public final void mT__89()
                      throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

#### mT__90

    public final void mT__90()
                      throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

#### mT__91

    public final void mT__91()
                      throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

#### mT__92

    public final void mT__92()
                      throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

#### mT__93

    public final void mT__93()
                      throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

#### mT__94

    public final void mT__94()
                      throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

#### mT__95

    public final void mT__95()
                      throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

#### mT__96

    public final void mT__96()
                      throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

#### mT__97

    public final void mT__97()
                      throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

#### mT__98

    public final void mT__98()
                      throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

#### mT__99

    public final void mT__99()
                      throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

#### mT__100

    public final void mT__100()
                       throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

#### mT__101

    public final void mT__101()
                       throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

#### mT__102

    public final void mT__102()
                       throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

#### mT__103

    public final void mT__103()
                       throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

#### mT__104

    public final void mT__104()
                       throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

#### mT__105

    public final void mT__105()
                       throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

#### mNL

    public final void mNL()
                   throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

#### mWS

    public final void mWS()
                   throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

#### mDIGIT

    public final void mDIGIT()
                      throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

#### mALPHA

    public final void mALPHA()
                      throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

#### mSNAME

    public final void mSNAME()
                      throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

#### mNAME

    public final void mNAME()
                     throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

#### mINT

    public final void mINT()
                    throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

#### mFLOAT

    public final void mFLOAT()
                      throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

#### mESC

    public final void mESC()
                    throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

#### mSTRING

    public final void mSTRING()
                       throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

#### mLSQUARE

    public final void mLSQUARE()
                        throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

#### mRSQUARE

    public final void mRSQUARE()
                        throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

#### mEXCL

    public final void mEXCL()
                     throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

#### mCOMA

    public final void mCOMA()
                     throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

#### mLPAREN

    public final void mLPAREN()
                       throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

#### mRPAREN

    public final void mRPAREN()
                       throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

#### mLCURLY

    public final void mLCURLY()
                       throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

#### mRCURLY

    public final void mRCURLY()
                       throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

#### mSEMI

    public final void mSEMI()
                     throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

#### mCOLON

    public final void mCOLON()
                      throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

#### mPIPE

    public final void mPIPE()
                     throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

#### mSHARP

    public final void mSHARP()
                      throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

#### mQMARK

    public final void mQMARK()
                      throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

#### mCOLONCOLON

    public final void mCOLONCOLON()
                           throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

#### mPOINT

    public final void mPOINT()
                      throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

#### mRARROW

    public final void mRARROW()
                       throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

#### mMINUS

    public final void mMINUS()
                      throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

#### mSTAR

    public final void mSTAR()
                     throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

#### mSLASH

    public final void mSLASH()
                      throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

#### mPLUS

    public final void mPLUS()
                     throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

#### mEQ

    public final void mEQ()
                   throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

#### mGT

    public final void mGT()
                   throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

#### mLT

    public final void mLT()
                   throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

#### mGE

    public final void mGE()
                   throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

#### mLE

    public final void mLE()
                   throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

#### mNE

    public final void mNE()
                   throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

#### mLARROW

    public final void mLARROW()
                       throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

#### mCOMMENT

    public final void mCOMMENT()
                        throws org.antlr.runtime.RecognitionException

Throws:
  `org.antlr.runtime.RecognitionException`

#### mTokens

    public void mTokens()
                 throws org.antlr.runtime.RecognitionException

Specified by:
  `mTokens` in class `org.antlr.runtime.Lexer`
Throws:
  `org.antlr.runtime.RecognitionException`